unit AppGlobalConsts_U;
// This file is part of Sarah Dean's Code Co-op Shell Extension.
//
//  "Sarah Dean's Code Co-op Shell Extension" is free software; you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation; either
// version 2 of the License, or at your option) any later version.
//
//  "Sarah Dean's Code Co-op Shell Extension" is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with "Sarah Dean's Code Co-op Shell Extension"; if not, write to
// the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA  02111-1307  USA


// Description: Application-wide Global Const Declarations
// By Sarah Dean
//
// -----------------------------------------------------------------------------


interface

const
  // Set APP_BETA_BUILD to -1 if it's not a beta
  APP_BETA_BUILD = -1;

  INI_FILENAME = 'Software\SarahDean';

  SHELL_EXT_FILENAME = 'SDCCShellExt.dll';

  APP_TITLE = 'Sarah Dean''s Code Co-op Shell Extension';

  CRLF = #13 + #10;


  Class_ContextMenu: TGUID = '{6A64A050-1803-11D3-AB38-00104C39B8FD}';

  REGKEY_ALLEXT = '*\shellex\ContextMenuHandlers\SDCCShellExt';
  REGKEY_DIR    = 'Directory\shellex\ContextMenuHandlers\SDCCShellExt';
// Drive not needed
//  REGKEY_DRIVE  = 'Drive\shellex\ContextMenuHandlers\SDCCShellExt';



implementation


END.

