unit frmCheckout_U;
// This file is part of Sarah Dean's Code Co-op Shell Extension.
//
//  "Sarah Dean's Code Co-op Shell Extension" is free software; you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation; either
// version 2 of the License, or at your option) any later version.
//
//  "Sarah Dean's Code Co-op Shell Extension" is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with "Sarah Dean's Code Co-op Shell Extension"; if not, write to
// the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA  02111-1307  USA



interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TfrmCheckout = class(TForm)
    pbOK: TButton;
    pbCancel: TButton;
    reFiles: TRichEdit;
    Label1: TLabel;
    ckRecurseSubdirs: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public
    IncludesSubdirs: boolean;
  end;

implementation

{$R *.DFM}

uses
  FileCtrl,
  AppGlobalConsts_U;

procedure TfrmCheckout.FormShow(Sender: TObject);
begin
  self.Caption := APP_TITLE +': '+self.Caption;

  ckRecurseSubdirs.Enabled := IncludesSubdirs;
  ckRecurseSubdirs.Checked := IncludesSubdirs;

end;


procedure TfrmCheckout.FormCreate(Sender: TObject);
begin
  reFiles.Lines.Clear();

end;

END.


